Table of Contents

## Name

im_pincheck, im_poutcheck, im_piocheck - checks image descriptors for PIO

## Synopsis

#include <vips/vips.h>

int im_pincheck( in )
IMAGE *in;

int im_poutcheck( out )
IMAGE *out;

int im_piocheck( in, out)
IMAGE *in, *out;

## Description

im_pincheck(3) checks that an image descriptor is suitable for PIO input. If the descriptor is IM_OPENOUT and the descriptor has been written to, it is automatically `rewound,' that is, it is closed and reopened as an IM_MMAPIN descriptor.

im_poutcheck(3) checks that a descriptor is suitable for PIO output.

im_piocheck(3) simply calls in_pincheck(3) for image in and im_poutcheck(3) for image out.

## Return Value

All functions returns 0 on success and -1 on error.

## See Also

im_generate(3) , im_open(3) . `VIPS Library Programmers' Guide,' in accompanying documentation.

## Copyright

National Gallery

## Author

J. Cupitt - 23/7/93

Table of Contents

- Name
- Synopsis
- Description
- Return Value
- SeeAlso
- Copyright
- Author